%define snapshot .cvs20120911

Name:           FlightGear-Atlas
Summary:        Flightgear map tools
Version:        0.4.9
Release:        0.11%{snapshot}%{?dist}

License:        GPLv2+
Group:          Amusements/Games
Source0:        Atlas-%{version}%{snapshot}.tar.bz2
Source1:        Atlas-0.4.0-default-maps.tar.gz
Patch0:         Atlas-0.4.9-init-render-config-dialog.patch
URL:            http://atlas.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  freeglut-devel, curl-devel, libpng-devel, glew-devel
BuildRequires:  SimGear-devel >= 2.6.0, OpenSceneGraph-devel
BuildRequires:  automake autoconf intltool libtool
Requires:       FlightGear-data
Obsoletes:      fgfs-Atlas < 0.3.1-10

%description
Atlas aims to produce and display high quality charts of the world for
users of FlightGear, an open source flight simulator. This is achieved
through two main parts: The map creator (simply called Map) and the
Atlas viewer

%prep
%setup -q -n Atlas
%patch0 -p1
find -type f -name '*.[hc]xx' -exec chmod a-x {} \;

%build
./autogen.sh
%configure CXXFLAGS="$RPM_OPT_FLAGS -fPIC" \
        --with-fgbase=%{_datadir}/flightgear \
        --datadir=%{_datadir}/flightgear \
        --enable-simgear-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/flightgear
tar zxf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/flightgear

# the palette file must be installed
install -d $RPM_BUILD_ROOT%{_datadir}/flightgear/Atlas/Palettes
install -d $RPM_BUILD_ROOT%{_datadir}/flightgear/Atlas/Fonts

install -m 0644 src/data/Fonts/*.txf \
        $RPM_BUILD_ROOT%{_datadir}/flightgear/Atlas/Fonts
install -m 0644 src/data/Palettes/*.ap \
        $RPM_BUILD_ROOT%{_datadir}/flightgear/Atlas/Palettes
install -m 0644 src/data/background.jpg \
        $RPM_BUILD_ROOT%{_datadir}/flightgear/Atlas
install -m 0644 src/data/airplane_image.png \
        $RPM_BUILD_ROOT%{_datadir}/flightgear/Atlas

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/flightgear/Atlas

%changelog
* Wed Mar 13 2013 Fabrice Bellet <fabrice@bellet.info> - 0.4.9-0.11.cvs20120911
- libpthread link patch is no longer needed (rh#918003)

* Wed Mar 06 2013 Fabrice Bellet <fabrice@bellet.info> - 0.4.9-0.10.cvs20120911
- add libpthread to link Atlas

* Mon Feb 18 2013 Fabrice Bellet <fabrice@bellet.info> - 0.4.9-0.9.cvs20120911
- rebuilt with newer SimGear

* Sun Feb 17 2013 Fabrice Bellet <fabrice@bellet.info> - 0.4.9-0.8.cvs20120911
- init _renderConfirmDialog

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.9-0.7.cvs20120911
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 0.4.9-0.6.cvs20120911
- rebuild due to "jpeg8-ABI" feature drop

* Thu Dec 13 2012 Adam Jackson <ajax@redhat.com> - 0.4.9-0.5.cvs20120911
- Rebuild for glew 1.9.0

* Tue Sep 11 2012 Fabrice Bellet <fabrice@bellet.info> 0.4.9-0.4.cvs20120911
- rebuilt with newer SimGear

* Mon Jul 30 2012 Fabrice Bellet <fabrice@bellet.info> 0.4.9-0.3.cvs20120219
- Rebuilt for new glew

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.9-0.2.cvs20120219
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Feb 19 2012 Fabrice Bellet <fabrice@bellet.info> 0.4.9-0.1.cvs20120219
- new snapshot

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-0.6.cvs20110905
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.4.8-0.5.cvs20110905
- Rebuild for new libpng

* Tue Sep 06 2011 Fabrice Bellet <fabrice@bellet.info> 0.4.8-0.4.cvs20110905
- add the default maps source file back

* Mon Sep 05 2011 Fabrice Bellet <fabrice@bellet.info> 0.4.8-0.3.cvs20110905
- new snapshot
- the FlightGear data directory name is now in lowercase

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-0.2.cvs20100719
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 19 2010 Fabrice Bellet <fabrice@bellet.info> 0.4.8-0.1.cvs20100719
- new cvs snapshot
- fix some segmentation faults

* Thu Mar 11 2010 Fabrice Bellet <fabrice@bellet.info> 0.4.0-0.5.cvs20100226
- Fix graph axis formatting bug, by avoiding negative values in the
  format string

* Sat Feb 27 2010 Fabrice Bellet <fabrice@bellet.info> 0.4.0-0.4.cvs20100226
- Rebuild with missing librt library

* Fri Feb 26 2010 Fabrice Bellet <fabrice@bellet.info> 0.4.0-0.3.cvs20100226
- Prepare for release 0.4.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 03 2009 Fabrice Bellet <fabrice@bellet.info> 0.3.1-11
- rebuild with newer SimGear

* Tue Jan 06 2009 Fabrice Bellet <fabrice@bellet.info> 0.3.1-10
- new build fixes for newer SimGear

* Tue May 13 2008 Fabrice Bellet <fabrice@bellet.info> 0.3.1-9
- rebuild with newer plib

* Mon Feb  4 2008 Fabrice Bellet <fabrice@bellet.info> 0.3.1-8
- fix gcc43 build

* Mon Jan  7 2008 Fabrice Bellet <fabrice@bellet.info> 0.3.1-7
- rebuild with newer SimGear

* Sun Sep 23 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-6
- update License tag

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.3.1-5
- Rebuild for selinux ppc32 issue.

* Wed Jun 27 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-4
- Rebuild with newer version of SimGear
- Add the missing Palette file to the package
- Remove the buildmaps.sh script (the functionnality provided
  by this script is now part of the Atlas program)

* Mon Apr  2 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-3
- Fixed duplicate BuildRequires

* Sun Apr  1 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-2
- Rebuild with new SimGear

* Tue Mar 20 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-1
- Initial packaging
